BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12

Certificate details

Status archived
Valid from 28.04.2020
Valid until 27.04.2023
Scheme 🇺🇸 US
Manufacturer BlackBerry Ltd.
Category Mobility
Security level N/A
Protection profiles
Maintenance updates BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12 (27.04.2022) Certification report Security target

Certificate

Extracted keywords

Protocols
TLS

Certificates
CCEVS-VR-VID11040-2020
Evaluation facilities
Gossamer Security

Certification report

Extracted keywords

Protocols
TLS, IPsec

Vendor
Samsung, Microsoft

Security level
EAL 1
Certificates
CCEVS-VR-11040-2020
Evaluation facilities
Gossamer Security

Standards
X.509

Frontpage

Certificate ID CCEVS-VR-11040-2020 Dated: 28 April 2020 Version: 0.1
Certified item ## BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12
Certification lab US NIAP

Security target

Extracted keywords

Symmetric Algorithms
AES, AES-256, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512
Asymmetric Algorithms
RSA 4096, RSA 3072, RSA 2048, ECDHE, ECDSA, ECC, DHE, Diffie-Hellman, DSA
Hash functions
SHA512, SHA-256, SHA-384, SHA-512
Schemes
Key Agreement, KA
Protocols
SSL 2.0, SSL 3.0, SSL, TLS, TLS 1.2, TLS 1.0, IPsec, VPN
Randomness
DRBG, RBG
Block cipher modes
CBC, GCM
TLS cipher suites
TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

Vendor
Samsung, Microsoft

Claims
OE.COMPONENTS_RUNNING, OE.DATA_PROPER_ADMIN, OE.DATA_PROPER_USER, OE.IT_ENTERPRISE, OE.MOBILE_DEVICE_PLATFORM, OE.PROPER_ADMIN, OE.PROPER_USER, OE.TIMESTAMP, OE.WIRELESS_NETWORK
Security Assurance Requirements (SAR)
ADV_FSP, ADV_FSP.1, AGD_OPE, AGD_PRE, AGD_OPE.1, AGD_PRE.1, ALC_CMC, ALC_CMS, ALC_CMC.1, ALC_CMS.1, ATE_IND, ATE_IND.1, AVA_VAN, AVA_VAN.1
Security Functional Requirements (SFR)
FAU_GEN.1, FCS_CKM.1, FCS_RBG_EXT.1, FCS_STG_EXT.2, FCS_CKM.2, FCS_COP.1, FDP_ACC.1, FMT_SMF.1, FPT_ITT.1, FPT_TUD_EXT.1, FTP_ITC.1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

CCEVS-VR-11040-2020

Extracted SARs

ADV_FSP.1, AGD_OPE.1, AGD_PRE.1, ALC_CMC.1, ALC_CMS.1, ATE_IND.1, AVA_VAN.1

Scheme data

Product BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12
Id CCEVS-VR-VID11040
URL https://www.niap-ccevs.org/products/11040
Api Url https://www.niap-ccevs.org/api/project/product/pcl_products/11040/
Certification Date 28.04.2020
Expiration Date 27.04.2023
Category Mobility
Categories
  • Mobility
Vendor BlackBerry Ltd.
Evaluation Facility Gossamer Security Solutions
Scheme US

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Mobility",
  "cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11040-ci.pdf",
  "dgst": "ab4a346b6934d9fb",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "CCEVS-VR-11040-2020",
    "cert_lab": [
      "US"
    ],
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL1",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "12"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "3592dc410b86374c",
        "c40ae795865a0dba",
        "36b1d4890baaa7f4"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": {
      "api_url": "https://www.niap-ccevs.org/api/project/product/pcl_products/11040/",
      "categories": [
        "Mobility"
      ],
      "category": "Mobility",
      "certification_date": "2020-04-28",
      "evaluation_facility": "Gossamer Security Solutions",
      "expiration_date": "2023-04-27",
      "id": "CCEVS-VR-VID11040",
      "product": "BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12",
      "scheme": "US",
      "url": "https://www.niap-ccevs.org/products/11040",
      "vendor": "BlackBerry Ltd."
    },
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": [
      {
        "_type": "sec_certs.sample.cc.CCCertificate.MaintenanceReport",
        "maintenance_date": "2022-04-27",
        "maintenance_report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11040-add1.pdf",
        "maintenance_st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11040-st.pdf",
        "maintenance_title": "BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12"
      }
    ]
  },
  "manufacturer": "BlackBerry Ltd.",
  "manufacturer_web": "https://www.blackberry.com",
  "name": "BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12",
  "not_valid_after": "2023-04-27",
  "not_valid_before": "2020-04-28",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": "st_vid11040-ci.pdf",
    "cert_frontpage": null,
    "cert_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID11040-2020": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 1
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 1
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "cert_metadata": {
      "/CreationDate": "D:20200520141119-04\u002700\u0027",
      "/ModDate": "D:20200520141119-04\u002700\u0027",
      "/Producer": "iText 2.1.0 (by lowagie.com)",
      "pdf_file_size_bytes": 180433,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 1
    },
    "report_filename": "st_vid11040-vr.pdf",
    "report_frontpage": {
      "US": {
        "cert_id": "CCEVS-VR-11040-2020 Dated: 28 April 2020 Version: 0.1",
        "cert_item": "## BlackBerry Unified Endpoint Management (UEM) Server and Android Client, version 12",
        "cert_lab": "US NIAP"
      }
    },
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-11040-2020": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {
        "EAL": {
          "EAL 1": 2
        }
      },
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IPsec": {
          "IPsec": 1
        },
        "TLS": {
          "TLS": {
            "TLS": 15
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 5
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "X509": {
          "X.509": 6
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Microsoft": {
          "Microsoft": 2
        },
        "Samsung": {
          "Samsung": 2
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "comptont",
      "/CreationDate": "D:20200520135414-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2013",
      "/ModDate": "D:20200520135414-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2013",
      "pdf_file_size_bytes": 654346,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://csrc.nist.gov/projects/cryptographic-module-validation-program/Certificate/3391"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 16
    },
    "st_filename": "st_vid11040-st.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 2
          },
          "ECDH": {
            "ECDHE": 4
          },
          "ECDSA": {
            "ECDSA": 9
          }
        },
        "FF": {
          "DH": {
            "DHE": 2,
            "Diffie-Hellman": 1
          },
          "DSA": {
            "DSA": 1
          }
        },
        "RSA": {
          "RSA 2048": 4,
          "RSA 3072": 2,
          "RSA 4096": 1
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "OE": {
          "OE.COMPONENTS_RUNNING": 1,
          "OE.DATA_PROPER_ADMIN": 1,
          "OE.DATA_PROPER_USER": 1,
          "OE.IT_ENTERPRISE": 1,
          "OE.MOBILE_DEVICE_PLATFORM": 1,
          "OE.PROPER_ADMIN": 1,
          "OE.PROPER_USER": 1,
          "OE.TIMESTAMP": 1,
          "OE.WIRELESS_NETWORK": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP": 1,
          "ADV_FSP.1": 9
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_OPE.1": 12,
          "AGD_PRE": 1,
          "AGD_PRE.1": 7
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMC.1": 4,
          "ALC_CMS": 1,
          "ALC_CMS.1": 5
        },
        "ATE": {
          "ATE_IND": 1,
          "ATE_IND.1": 5
        },
        "AVA": {
          "AVA_VAN": 1,
          "AVA_VAN.1": 11
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN.1": 3
        },
        "FCS": {
          "FCS_CKM.1": 2,
          "FCS_CKM.2": 1,
          "FCS_COP.1": 1,
          "FCS_RBG_EXT.1": 2,
          "FCS_STG_EXT.2": 1
        },
        "FDP": {
          "FDP_ACC.1": 3
        },
        "FMT": {
          "FMT_SMF.1": 6
        },
        "FPT": {
          "FPT_ITT.1": 1,
          "FPT_TUD_EXT.1": 1
        },
        "FTP": {
          "FTP_ITC.1": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 5
        },
        "GCM": {
          "GCM": 4
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IPsec": {
          "IPsec": 3
        },
        "TLS": {
          "SSL": {
            "SSL": 2,
            "SSL 2.0": 1,
            "SSL 3.0": 1
          },
          "TLS": {
            "TLS": 85,
            "TLS 1.0": 1,
            "TLS 1.2": 2
          }
        },
        "VPN": {
          "VPN": 5
        }
      },
      "crypto_scheme": {
        "KA": {
          "KA": 1,
          "Key Agreement": 1
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 10,
          "P-384": 10,
          "P-521": 12,
          "secp256r1": 4,
          "secp384r1": 4,
          "secp512r1": 1,
          "secp521r1": 4
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA2": {
            "SHA-256": 4,
            "SHA-384": 2,
            "SHA-512": 2,
            "SHA512": 7
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 5
        },
        "RNG": {
          "RBG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS PUB 186-4": 4,
          "FIPS PUB 197": 1
        },
        "NIST": {
          "NIST SP 800-38A": 1,
          "NIST SP 800-38C": 1,
          "NIST SP 800-38D": 1,
          "NIST SP 800-38F": 1,
          "NIST SP 800-57": 1,
          "SP 800-38A": 2
        },
        "RFC": {
          "RFC 2560": 1,
          "RFC 2818": 2,
          "RFC 5246": 6,
          "RFC 5280": 3,
          "RFC 5289": 5,
          "RFC 5759": 1,
          "RFC 6125": 1,
          "RFC 8017": 1
        },
        "X509": {
          "X.509": 21
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 17,
            "AES-256": 1
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 7,
            "HMAC-SHA-256": 1,
            "HMAC-SHA-384": 1,
            "HMAC-SHA-512": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 2,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 2,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 2
        }
      },
      "vendor": {
        "Microsoft": {
          "Microsoft": 5
        },
        "Samsung": {
          "Samsung": 3
        }
      },
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "Lyndon Levett",
      "/CreationDate": "D:20220323165225Z",
      "/Creator": "Microsoft\u00ae Word for Microsoft 365",
      "/ModDate": "D:20220325101326Z",
      "/Producer": "Microsoft\u00ae Word for Microsoft 365",
      "pdf_file_size_bytes": 998108,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.niap-ccevs.org/Product/Compliant.cfm?PID=11211",
          "https://www.niap-ccevs.org/Profile/Info.cfm?PPID=428\u0026amp;id=428",
          "https://www.niap-ccevs.org/Profile/Info.cfm?PPID=441\u0026amp;id=441",
          "https://www.niap-ccevs.org/Profile/Info.cfm?PPID=439\u0026amp;id=43",
          "http://www.gossamersec.com/",
          "https://csrc.nist.gov/projects/cryptographic-module-validation-program/Certificate/3391"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 46
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/mod_mdm_agent_v1.0.pdf",
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/PKG_TLS_V1.1.pdf",
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_mdm_v4.0.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11040-vr.pdf",
  "scheme": "US",
  "security_level": {
    "_type": "Set",
    "elements": []
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11040-st.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "a62a174784570c46c9cf2d4e1813038d56acc17077da77d2d8c3c443869ee11e",
      "source_hash": "06bafd71a6cac89f37a03be249abc5784481673475dde591787b9196f7f3daf3",
      "txt_hash": "0d6b24026927d225d705aba429cc1515e2575b04cd8263e3a78c924c24a8e587"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "203c583e02ec353dde275754d1c796e504ab292f837fb24fdc038e484c555869",
      "source_hash": "614785e8f0a4eff7e2ce431641bec6634f0b2faa7fb3779ae6f652720d3abf9e",
      "txt_hash": "58c02926406482cba91c264f58ddcc158b2fff423d6d214fa8647a7779634ca3"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "760ce185763e0dd9262e7212c39b5e4bac4a652761a92afe3912c6904e7421c6",
      "source_hash": "9ce851191aa095ab12603b7a054031472e27fa940a8249321d604ccac8f89073",
      "txt_hash": "be6692763e0d8216d7129cc4f77f1799218ff1f0ddcc264f74c9d2d0877c9def"
    }
  },
  "status": "archived"
}